<scpd>
	<serviceStateTable>
		<stateVariable sendEvents="no">
			<name>PresetNameList</name>
			<dataType>string</dataType>
		</stateVariable>
		<stateVariable sendEvents="yes">
			<name>LastChange</name>
			<dataType>string</dataType>
		</stateVariable>
		<stateVariable sendEvents="no">
			<name>Mute</name>
			<dataType>boolean</dataType>
		</stateVariable>
		<stateVariable sendEvents="no">
			<name>Volume</name>
			<dataType>ui2</dataType>
			<allowedValueRange>
				<minimum>0</minimum>
				<step>1</step>
			</allowedValueRange>
		</stateVariable>
		<stateVariable sendEvents="no">
			<name>Loudness</name>
			<dataType>boolean</dataType>
		</stateVariable>
		<stateVariable sendEvents="no">
			<name>A_ARG_TYPE_Channel</name>
			<dataType>string</dataType>
			<allowedValueList>
				<allowedValue>Master</allowedValue>
			</allowedValueList>
		</stateVariable>
		<stateVariable sendEvents="no">
			<name>A_ARG_TYPE_InstanceID</name>
			<dataType>ui4</dataType>
		</stateVariable>
		<stateVariable sendEvents="no">
			<name>A_ARG_TYPE_PresetName</name>
			<dataType>string</dataType>
			<allowedValueList>
				<allowedValue>FactoryDefaults</allowedValue>
			</allowedValueList>
		</stateVariable>
	</serviceStateTable>
	<actionList>
		<action>
			<name>ListPresets</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>CurrentPresetNameList</name>
					<direction>out</direction>
					<relatedStateVariable>PresetNameList</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
		<action>
			<name>SelectPreset</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>PresetName</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_PresetName</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
		<action>
			<Optional />
			<name>GetMute</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>Channel</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
				</argument>
				<argument>
					<name>CurrentMute</name>
					<direction>out</direction>
					<relatedStateVariable>Mute</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
		<action>
			<Optional />
			<name>SetMute</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>Channel</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
				</argument>
				<argument>
					<name>DesiredMute</name>
					<direction>in</direction>
					<relatedStateVariable>Mute</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
		<action>
			<Optional />
			<name>GetVolume</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>Channel</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
				</argument>
				<argument>
					<name>CurrentVolume</name>
					<direction>out</direction>
					<relatedStateVariable>Volume</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
		<action>
			<Optional />
			<name>SetVolume</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>Channel</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
				</argument>
				<argument>
					<name>DesiredVolume</name>
					<direction>in</direction>
					<relatedStateVariable>Volume</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
		<action>
			<Optional />
			<name>GetLoudness</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>Channel</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
				</argument>
				<argument>
					<name>CurrentLoudness</name>
					<direction>out</direction>
					<relatedStateVariable>Loudness</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
		<action>
			<Optional />
			<name>SetLoudness</name>
			<argumentList>
				<argument>
					<name>InstanceID</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_InstanceID</relatedStateVariable>
				</argument>
				<argument>
					<name>Channel</name>
					<direction>in</direction>
					<relatedStateVariable>A_ARG_TYPE_Channel</relatedStateVariable>
				</argument>
				<argument>
					<name>DesiredLoudness</name>
					<direction>in</direction>
					<relatedStateVariable>Loudness</relatedStateVariable>
				</argument>
			</argumentList>
		</action>
	</actionList>
</scpd>
